%define git_version 9043ff1
%define tarfile %{name}-%{version}.tar.xz

%define major		0
%define api		0.1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}

Name:		clutter-imcontext
Version:	0.1.6
Release:	%mkrel 2
Summary:	IMContext Framework Library for Clutter
Group:		System/Libraries
License:	LGPLv2
URL:		http://www.moblin.org/
Source0:	%{tarfile}
#---------------------------
BuildRequires:	glib2-devel
BuildRequires:	clutter-devel
BuildRequires:	gtk-doc
#---------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
IMContext Framework Library for Clutter.

%package devel
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{_lib}clutter-imcontext%{api}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}clutter-imcontext0.1-devel < 0.1.6-6

%description devel
Files for development with %{name}.

%package docs
Summary:	Documentation package for %{name}
Group:		Documentation
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description docs
Documentation for development with %{name}.

%prep
%setup -q

%build
# Don't run configure from autogen.sh
sed -i -e '/configure/d' autogen.sh
./autogen.sh

%configure2_5x --enable-gtk-doc=no --disable-static

%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/clutter-imcontext
%config %{_sysconfdir}/clutter-imcontext/enable_autoshow
%{_bindir}/clutter-scan-immodules
%doc AUTHORS ChangeLog
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so

%files docs
#%doc %{_datadir}/gtk-doc/html/%{name}

%clean
rm -rf %{buildroot}

%changelog
* Wed Apr 16 2014 bb <bb> 0.1.6-2pclos2014
- rebuild 

* Sat Oct 19 2013 billybot <billybot> 0.1.6-1pclos2013
- update
